/** @file view.h
 *  @brief ViewNXwb_
 *
 *  @author yasufuku
 *  @date 2010/12
 *  @version 0.10
 *
 *  Copyright(C) 2010 Kensuke Yasufuku
 */
#ifndef _VIEW_H_
#define _VIEW_H_

#include "task.h"
#include "element.h"

/**
 *  @brief ViewNX
 *
 *  \NX
*/
class View : public Task
{
	//=====================================
	// o
	//=====================================
private:
	static View * s_pSelf;		///< B̃CX^X
	Element	* m_pRootElement;	///< [gGg

	//=====================================
	// o֐
	//=====================================
protected:
	View();				///< RXgN^
	virtual ~View();	///< fXgN^
	
	//-------------------------------------
	// bZ[W
	//-------------------------------------
	virtual int OnInit();			///< 
	virtual int OnMain();			///< ^XNC
	virtual int OnKill();			///< 

public:

	/// 
	static View * Create( Task * pParent, int nPriority );
	/// [gGg擾
	static Element * GetRoot();
	/// _O
	static void Render();
	/// EBhETCỸTCY
	static void Resize();
	//-------------------------------------
	// fobOp
	//-------------------------------------
	void DispElementList();
};

#endif //_VIEW_H_
