/** @file font.vert
 *  @brief tHgp
 *
 *  @author yasufuku
 *  @date 2011/02
 *  @version 0.10
 *
 *  Copyright(C) 2011 Kensuke Yasufuku
 */
#version 130

uniform mat4 MVPMatrix;

in  vec4 Position;
in  vec2 UV0;
out vec2 TexCoord;

void main() {

     gl_Position = MVPMatrix * Position;
     TexCoord    = UV0;
}
