/** @file sprite.frag
 *  @brief ^XvCg
 *
 *  @author yasufuku
 *  @date 2011/02
 *  @version 0.10
 *
 *  Copyright(C) 2011 Kensuke Yasufuku
 */
#version 130

uniform sampler2D DiffuseMap;

in  vec4 VertexColor;
in  vec2 TexCoord;

out vec4 oColor;

void main() {
     vec4 c1 = texture( DiffuseMap,TexCoord );
     oColor = VertexColor * c1;
}
