/** @file static__dm_lm.vert
 *  @brief X^eBbNbVifBq[Y}bv+Cg}bvj
 *
 *  @author yasufuku
 *  @date 2011/02
 *  @version 0.10
 *
 *  Copyright(C) 2011 Kensuke Yasufuku
 */
#version 130

uniform mat4 MVPMatrix;
uniform mat4 WorldMatrix;

in  vec4 Position;
in  vec3 Normal;
in  vec2 UV0;
in  vec2 UV1;

out vec2 TexCoord[2];

void main() {
     gl_Position = MVPMatrix * Position;
     TexCoord[0] = UV0;
     TexCoord[1] = UV1;
}
