/** @main_loop.h
 *  @brief OpenGLpC[vNX
 *
 *  @author yasufuku
 *  @date 2010/12
 *  @version 0.10
 *
 *  Copyright(C) 2010 Kensuke Yasufuku
 */
#ifndef _MAIN_LOOP_H_
#define _MAIN_LOOP_H_

#include "include.h"
#include "task.h"
#include "view.h"
#include "mouse.h"
#include "keyboard.h"

/**
 *  @brief MainLoopNX
 *
 *	C[vNX
*/
class MainLoop
{
private:
	RootTask   * m_pRootTask;
	Mouse      * m_pMouse;
	Keyboard   * m_pKeyboard;
	
	//Controller * m_pController;
	//struct timeval start;

	bool m_bDispFPS;
	bool m_bPause;

public:
	MainLoop();
	virtual ~MainLoop();
	int Start(  int argc, char ** argv );
	int Update();	
	int Draw();
};

#endif //_MAIN_LOOP_
